/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-03-11 15:08:37
 * @LastEditors: Kane Wang
 * @LastModified: 2025-04-18 00:52:16
 * @FilePath: src/main/java/com/cpic/xim/huixiabao/data/config/HuixiabaoConfig.java
 * @Description:
 * 
 *               Copyright (c) 2025 by Kane All rights reserved
 */

package com.cpic.xim.huixiabao.data.config;

public class HuixiabaoConfig
{
    public static String getAppid()
    {
        return appid;
    }

    public static String getAppSecret()
    {
        return appSecret;
    }

    public static String getSignKey()
    {
        return signKey;
    }

    public static String getEncKey()
    {
        return encKey;
    }

    public static int getMAX_COUNT_PER_REQUEST()
    {
        return MAX_COUNT_PER_REQUEST;
    }

    public static String getUrl()
    {
        return url;
    }

    public static String getFunId()
    {
        return funId;
    }

    public static int getSleepSeconds()
    {
        return SLEEP_SECONDS;
    }

    private static final int MAX_COUNT_PER_REQUEST = 500;
    private static final int SLEEP_SECONDS         = 10;

    private static final String url       = "http://172.18.1.150:9040/h3c/new/api/gafe/rest";
    // private static final String url       = "http://172.16.39.44:9040/h3c/new/api/gafe/rest";
    private static final String appid     = "hxb-tb";
    private static final String appSecret = "60F468FB46170DD4CF6CBECE215DBFC0";
    private static final String funId     = "XY00.00.00.03";
    private static final String signKey   = "1A2F447BD0F930798D8031B137EC6E25";
    private static final String encKey    = "08307695B1668EB9FD6210250FED874F";
}
